# pion::spdy::decompressor Class Reference

`#include <decompressor.hpp>`

List of all members.

## Public Types

enum | data_size_t { MAX_UNCOMPRESSED_DATA_BUF_SIZE = 16384 }
| data size constants More...

## Public Member Functions

| decompressor ()
| constructs a new decompressor object (default constructor)
| ~decompressor ()
| destructor
char * | decompress (const char *compressed_data_ptr, boost::uint32_t stream_id, const spdy_control_frame_info &frame, boost::uint32_t header_block_length)

## Protected Member Functions

bool | spdy_decompress_header (const char *compressed_data_ptr, z_streamp decomp, boost::uint32_t length, boost::uint32_t &uncomp_length)

## Detailed Description

SPDYDecompressor : Decompresses SPDY frames

Definition at line 29 of file decompressor.hpp.

## Member Enumeration Documentation

enum pion::spdy::decompressor::data_size_t

data size constants

Enumerator:

  MAX_UNCOMPRESSED_DATA_BUF_SIZE | maximum size of an uncompressed spdy header

Definition at line 34 of file decompressor.hpp.

## Member Function Documentation

char * pion::spdy::decompressor::decompress | ( | const char * | compressed_data_ptr,
|  | boost::uint32_t | stream_id,
|  | const spdy_control_frame_info & | frame,
|  | boost::uint32_t | header_block_length |
| ) |  |  |

decompresses the http content

Returns:
  the uncompressed string, or null on failure

Get our decompressor.

Definition at line 89 of file spdy_decompressor.cpp.

References spdy_decompress_header().

bool pion::spdy::decompressor::spdy_decompress_header | ( | const char * | compressed_data_ptr,
|  | z_streamp | decomp,
|  | boost::uint32_t | length,
|  | boost::uint32_t & | uncomp_length |
| ) |  |  | `[protected]`

decompresses the spdy header

Returns:
  true if successful

Definition at line 131 of file spdy_decompressor.cpp.

References MAX_UNCOMPRESSED_DATA_BUF_SIZE.

Referenced by decompress().

The documentation for this class was generated from the following files:

- include/pion/spdy/decompressor.hpp
- src/spdy_decompressor.cpp